(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2013-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: display_spec.mli,v 1.12 2014-02-26 23:33:54 fclement Exp $ *)

(** {3 Display specification} *)

open Scalar_spec;;
open Components_spec;;

module type MAKER =
  functor (Scal : SCALAR) ->
  functor (Comps : COMPONENTS) ->
sig
  module Bb : module type of (Black_box.Make (Scal) (Comps));;
  module St : module type of (State.Make (Scal) (Comps));;
  module H : module type of (History.Make (Scal) (Comps));;
  
  type state = St.t;;
  type history = H.t;;
  
  val init : history -> unit;;
  val display_param : history -> unit;;
  val display_grad : state -> Bb.gradients -> unit;;
end
;;
